%define _unpackaged_files_terminate_build 1

%def_enable gnome_vfs
%def_disable crypto

Name: ntfsprogs
Version: 1.13.1
Release: alt2.0

Summary: NTFS filesystem utilities
License: GPL
Group: System/Kernel and hardware

Url: http://sf.net/projects/linux-ntfs
Source0: %name-%version.tar.gz
Patch0: %name-1.13.1-link-fix.patch
Patch1: %name-1.13.1-pld-pkgconfig.patch
Patch2: %name-1.13.1-pld-stdarg_h-required.patch
Patch3: %name-1.13.1-pld-va.patch

Packager: Andrey Rahmatullin <wrar@altlinux.ru>

BuildPreReq: gcc-c++ libfuse-devel >= 2.3.0 pkgconfig
%if_enabled gnome_vfs
BuildPreReq: ORBit2-devel glib2-devel gnome-vfs2-devel libbonobo2-devel
%endif
%if_enabled extras
BuildPreReq: libgnutls-devel >= 1.2.8 libgcrypt-devel >= 1.2.0 libtasn1-devel
%endif

%description
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

This package contains the following utilities:

   mkntfs : Format a partition using NTFS.
   ntfscat : Dump a file's contents to the standard output.
   ntfscp : Overwrite files on an NTFS partition.
   ntfsclone : Efficiently create/restore an image of an NTFS partition.
   ntfscluster : Locate the owner of any given sector or cluster on an
       NTFS partition.
   ntfsfix : Clear the LogFile of a partition to make Windows perform a
       thorough check next time it boots.
   ntfsinfo : Show some information about an NTFS partition or one of
       the files or directories within it.
   ntfslabel : Show, or set, an NTFS partition's volume label.
   ntfsls : List information about files in a directory residing on an
       NTFS partition.
   ntfsresize : Resize an NTFS partition without losing data.
   ntfsundelete : Recover deleted files from an NTFS partition.

%package -n fuse-ntfs
Summary: NTFS FUSE mount module
Group: System/Kernel and hardware
Conflicts: ntfsprogs = 1.11.0-alt1
%description -n fuse-ntfs
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

This package contains NTFS FUSE mount module.

%package -n libntfs
Summary: NTFS filesystem libraries
Group: System/Libraries
%description -n libntfs
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

This package contains NTFS filesystem libraries.

%package -n libntfs-devel
Summary: NTFS filesystem header files
Group: Development/C
Requires: libntfs = %version-%release
%description -n libntfs-devel
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

This package contains NTFS filesystem header files.

%if_enabled gnome_vfs
%package -n libntfs-gnomevfs
Summary: GNOME VFS plugin to access NTFS volumes
Group: System/Libraries
Requires: libntfs = %version-%release
%description -n libntfs-gnomevfs
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

This package contains module to access NTFS volumes from within GNOME
VFS framework.

%package -n libntfs-gnomevfs-devel
Summary: Headers and development files for libntfs-gnomevfs
Group: Development/GNOME and GTK+
Requires: libntfs-gnomevfs = %version-%release
Requires: libntfs-devel = %version-%release
%description -n libntfs-gnomevfs-devel
The Linux-NTFS project (http://linux-ntfs.sf.net/) aims to bring full support
for the NTFS filesystem to the Linux operating system. Linux-NTFS currently
consists of a static library and utilities.

This package contains development files for NTFS module for GNOME VFS.

%endif # gnome_vfs

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%if_disabled crypto
echo 'AC_DEFUN([AM_PATH_LIBGCRYPT],[:])' > fake-am_path_libgcrypt.m4
echo 'AC_DEFUN([AM_PATH_LIBGNUTLS],[:])' > fake-am_path_libgnutls.m4
%endif
%__aclocal -I .
%__autoconf
%__autoheader
%__automake

%build
%configure \
	--disable-static \
	%{subst_enable crypto} \
%if_enabled gnome_vfs
	--enable-gnome-vfs
%else
	--disable-gnome-vfs
%endif

%make_build

%install
%make_install install DESTDIR=%buildroot
rm -f doc/Makefile*

%post -n libntfs -p %post_ldconfig
%postun -n libntfs -p %postun_ldconfig

%files
%_bindir/ntfscat
%_bindir/ntfscluster
%_bindir/ntfscmp
%_bindir/ntfsfix
%_bindir/ntfsinfo
%_bindir/ntfsls
%_sbindir/mkntfs
%_sbindir/ntfsclone
%_sbindir/ntfscp
%_sbindir/ntfslabel
%_sbindir/ntfsresize
%_sbindir/ntfsundelete
/sbin/mkfs.ntfs
%_man8dir/mkfs.ntfs.*
%_man8dir/mkntfs.*
%_man8dir/ntfscat.*
%_man8dir/ntfscmp.*
%_man8dir/ntfsclone.*
%_man8dir/ntfscluster.*
%_man8dir/ntfscp.*
%_man8dir/ntfsfix.*
%_man8dir/ntfsinfo.*
%_man8dir/ntfslabel.*
%_man8dir/ntfsls.*
%_man8dir/ntfsprogs.*
%_man8dir/ntfsresize.*
%_man8dir/ntfsundelete.*
%doc AUTHORS CREDITS ChangeLog NEWS README TODO.* doc/

%files -n libntfs
%_libdir/libntfs.so.*

%files -n fuse-ntfs
%_bindir/ntfsmount
/sbin/mount.ntfs-fuse
%_man8dir/ntfsmount.*
%_man8dir/mount.ntfs-fuse.*

%files -n libntfs-devel
%_libdir/libntfs.so
%dir %_includedir/ntfs
%_includedir/ntfs/*.h
%exclude %_includedir/ntfs/gnome-vfs*.h

%if_enabled gnome_vfs

%files -n libntfs-gnomevfs
%config %_sysconfdir/gnome-vfs-2.0/modules/libntfs.conf
%_libdir/gnome-vfs-2.0/modules/libntfs-gnomevfs.so*
%_libdir/gnome-vfs-2.0/modules/libntfs-gnomevfs.la
%_man8dir/libntfs-gnomevfs*

%files -n libntfs-gnomevfs-devel
%_includedir/ntfs/gnome-vfs*.h

%endif # gnome_vfs

%changelog
* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.13.1-alt2.0
- Automated rebuild.

* Tue Jul 04 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.13.1-alt2
- add minor patches from PLD
- fix buildiing without crypto enabled and without libgcrypt-devel 
  (from PLD)

* Sun Jul 02 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.13.1-alt1
- 1.13.1
- enable _unpackaged_files_terminate_build
- fix linking of libntfs-gnomevfs.so

* Thu Mar 02 2006 Andrey Rahmatullin <wrar@altlinux.ru> 1.13.0-alt1
- 1.13.0

* Wed Oct 19 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.12.1-alt2
- move /sbin/mount.ntfs-fuse symlink and ntfsmount related manpages
  to ntfsmount package

* Wed Oct 12 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.12.1-alt1
- 1.12.1

* Tue Aug 09 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.11.2-alt1
- 1.11.2
- do not ever build static libs

* Tue Aug 02 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.11.0-alt2.1
- fixed BuildRequires

* Wed Jul 27 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.11.0-alt2
- ntfsmount packaged separately (#7455)

* Wed Jul 20 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.11.0-alt1
- 1.11.0

* Fri Jun 24 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.10.0-alt1
- 1.10.0

* Sat May 21 2005 Andrey Rahmatullin <wrar@altlinux.ru> 1.9.4-alt2
- don't package doc/Makefile*

* Sat Nov 13 2004 Andrey Rahmatullin <wrar@altlinux.ru> 1.9.4-alt1
- 1.9.4
- do not package static libs
- update description
- add post(un)?_ldconfig
- change Packager:

* Fri Feb 06 2004 Michael Shigorin <mike@altlinux.ru> 1.8.4-alt1.1
- fixed gcc3.2 build request
- fixed GNOME package groups

* Thu Feb  5 2004 Alexey Morozov <morozov@altlinux.org> 1.8.4-alt1
- 1.8.4
- libntfs.a is conditionally built
  (--enable/--disable static, default is enabled)
- added libntfs-gnomevfs package
  (--enable/--disable gnome-vfs, default is enabled)
  static module library is under another condition
  (--enable/--disable static-gnome-vfs, default is disabled)

* Tue Jun 24 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.7.1-alt2
- deps correction

* Fri Jun 20 2003 Albert R. Valiev <darkstar@altlinux.ru> 1.7.1-alt1
- Initial build
